in

Installing Nokogiri on OSX

This is such a pain to install on OSX.  Due to Xcode or some other nonsense, OSX has a real hard time getting the required lib’s to get Nokogiri installed… you can try and follow the directions on the Nokogiri main site but it won’t work.

The solution I found in a comment on Stack Overflow and I’m listing it here for further reference:

gem install nokogiri — –with-xml2-include=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk/usr/include/libxml2 –use-system-libraries

I needed the –use-system-libraries.  I mean look at that install command, it’s nuts.  But that’s what you have to do, so you can get nokogiri installed.

I think PC is a lot easier, although I haven’t tried on a PC in some time.

What do you think?

0 points
Upvote Downvote

Total votes: 0

Upvotes: 0

Upvotes percentage: 0.000000%

Downvotes: 0

Downvotes percentage: 0.000000%

Written by Admin

I work for a Telecom company writing and testing software. My passion for writing code is expressed through this blog. It's my hope that it gives hope to any and all who are self-taught.

Comments

Leave a Reply

Loading…

Ruby Image Scraper

Ruby: upto and downto